Bug 1461028 - [RFE] Provide an option not to kill the bricks, when server-quorum is not met [NEEDINFO]
[RFE] Provide an option not to kill the bricks, when server-quorum is not met
Status: CLOSED WONTFIX
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: glusterd (Show other bugs)
3.2
x86_64 Linux
low Severity high
: ---
: ---
Assigned To: Atin Mukherjee
SATHEESARAN
: FutureFeature, ZStream
Depends On: 1461027
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-13 08:03 EDT by SATHEESARAN
Modified: 2018-04-08 09:20 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-04-08 09:20:14 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
amukherj: needinfo? (sasundar)


Attachments (Terms of Use)

  None (edit)
Description SATHEESARAN 2017-06-13 08:03:48 EDT
Description of problem:
-----------------------
server-quorum when not met kills the brick process on that node. This affects the data path.

It would be useful to provide the flexibility to choose the behavior of **not** killing the bricks under the circumstance of server-quorum not met scenario.

Version-Release number of selected component (if applicable):
-------------------------------------------------------------
RHGS 3.2

How reproducible:
-----------------
Not Applicable for feature enhancement

Steps to Reproduce:
-------------------
Not applicable for feature enhancement

Actual results:
---------------
Bricks are killed when server-quorum not met

Expected results:
-----------------
Provide the flexibility to opt for **not** killing the bricks, when server-quorum  is not met

Additional info:
----------------
The motivation for this bug resulted from the gluster user who has complained about data-path that is affected as result of loss of 2 nodes in a 4 node cluster. In this case, all the virtual machines running on the gluster volume got paused.
Comment 2 Atin Mukherjee 2017-06-13 08:11:32 EDT
Sas,

We could introduce an option to override this behaviour but this can't be kept turned on as then it will defeat the purpose of server side quorum feature. Thoughts?
Comment 3 SATHEESARAN 2017-06-14 04:36:37 EDT
(In reply to Atin Mukherjee from comment #2)
> Sas,
> 
> We could introduce an option to override this behaviour but this can't be
> kept turned on as then it will defeat the purpose of server side quorum
> feature. Thoughts?

Atin,

I completely agree. At least if there is such an option which could be set (just temporarily or based on the scenario ) when server-quorum is **not** met, could help user to avoid data path interruption.

Note You need to log in before you can comment on or make changes to this bug.